Subject: bug#70647: 30.0.50; When are :core packages released to GNU ELPA?

From: Jim Porter <[email-masked]>
Date: Mon, 29 Apr 2024 11:16:15 -0700

On 4/29/2024 5:48 AM, No Wayman wrote:
> As I understand it, GNU ELPA releases packages when a commit changes the 
> Version package header. GNU-devel ELPA is a rolling release. How about 
> "core" packages? For example, the eglot version bundled with Emacs 29.3 
> is at Version 1.12.xx. The latest version on GNU ELPA is 1.17, released 
> on 3/31/2024, but git points to commit "b014bca833a" on 1/25/2024 as 
> responsible for bumping the version to 1.17.

I believe the reason that Eglot's release date is March 31 is because 
that's the day that ELPA itself was updated to include Atom feeds for 
package updates, which re-published all the existing packages. See here: 
<https://lists.gnu.org/archive/html/emacs-devel/2024-03/msg00777.html>.